package net.micode.notes.widget;

import android.appwidget.AppWidgetManager;
import android.content.Context;

import net.micode.notes.R;
import net.micode.notes.data.Notes;
import net.micode.notes.tool.ResourceParser;

// 定义一个4x4小部件的提供者类，继承自NoteWidgetProvider
public class NoteWidgetProvider_4x extends NoteWidgetProvider {
    // 覆盖父类的onUpdate方法，用于更新小部件的视图
    @Override
    public void onUpdate(Context context, AppWidgetManager appWidgetManager, int[] appWidgetIds) {
        super.update(context, appWidgetManager, appWidgetIds);
    }

    // 返回4x4小部件的布局资源ID
    protected int getLayoutId() {
        return R.layout.widget_4x;
    }

    // 根据背景ID返回4x4小部件的背景资源ID
    @Override
    protected int getBgResourceId(int bgId) {
        return ResourceParser.WidgetBgResources.getWidget4xBgResource(bgId);
    }

    // 返回小部件的类型，这里是4x4类型
    @Override
    protected int getWidgetType() {
        return Notes.TYPE_WIDGET_4X;
    }
}